# Interface ObservableObjectValue<T>

Type Parameters:
  `T` - the observable object type

All Superinterfaces:
  `Observable, ObservableValue<T>`

All Known Subinterfaces:
  `ObservableListValue<E>, ObservableMapValue<K,V>, ObservableSetValue<E>, ObservableStringValue, TextInputControl.Content`

All Known Implementing Classes:
  `JavaBeanObjectProperty, JavaBeanStringProperty, ListBinding, ListExpression, ListProperty, ListPropertyBase, MapBinding, MapExpression, MapProperty, MapPropertyBase, ObjectBinding, ObjectExpression, ObjectProperty, ObjectPropertyBase, ReadOnlyJavaBeanObjectProperty, ReadOnlyJavaBeanStringProperty, ReadOnlyListProperty, ReadOnlyListPropertyBase, ReadOnlyListWrapper, ReadOnlyMapProperty, ReadOnlyMapPropertyBase, ReadOnlyMapWrapper, ReadOnlyObjectProperty, ReadOnlyObjectPropertyBase, ReadOnlyObjectWrapper, ReadOnlySetProperty, ReadOnlySetPropertyBase, ReadOnlySetWrapper, ReadOnlyStringProperty, ReadOnlyStringPropertyBase, ReadOnlyStringWrapper, SetBinding, SetExpression, SetProperty, SetPropertyBase, SimpleListProperty, SimpleMapProperty, SimpleObjectProperty, SimpleSetProperty, SimpleStringProperty, SimpleStyleableObjectProperty, SimpleStyleableStringProperty, StringBinding, StringExpression, StringProperty, StringPropertyBase, StyleableObjectProperty, StyleableStringProperty`

public interface ObservableObjectValue<T> extends ObservableValue<T>
An observable typed `Object` value.

Since:
  JavaFX 2.0
See Also:
  - `ObservableValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`
  Returns the current value of this `ObservableObjectValue<T>`.

  ### Methods declared in interface Observable

  `addListener, removeListener, subscribe`

  ### Methods declared in interface ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener, subscribe, subscribe, when`

- ## Method Details

  - ### get

    T get()
    Returns the current value of this `ObservableObjectValue<T>`.
    Returns:
      The current value